"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.assert = assert;
exports.CodeErrors = exports.TokenErrors = void 0;

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

const tokenErrors = {
  invalid_request: 400,
  invalid_client: 401,
  invalid_grant: 400,
  unauthorized_client: 401,
  unsupported_grant_type: 400,
  invalid_scope: 400,
  invalid_token: 401
};
const codeErrors = {
  invalid_redirect_uri: 400,
  unrecognized_client_id: 400,
  invalid_request: 400,
  unauthorized_client: 401,
  access_denied: 403,
  unsupported_response_type: 400,
  invalid_scope: 400
};

const reducer = obj => Object.keys(obj).reduce((prev, code) => _objectSpread(_objectSpread({}, prev), {}, {
  [code]: (message, props) => ({
    message: message || code,
    status: obj[code],
    props: _objectSpread(_objectSpread({}, props), {}, {
      code
    })
  })
}), {});

const TokenErrors = reducer(tokenErrors);
exports.TokenErrors = TokenErrors;
const CodeErrors = reducer(codeErrors);
exports.CodeErrors = CodeErrors;

function assert(ctx, value, {
  status,
  message,
  props
}) {
  ctx.assert(value, status, message, props);
}